Skip to main content
GET
/
customers
/
{id}
Get Customer by ID
curl --request GET \
  --url https://integrations.clopos.com/open-api/v2/customers/{id} \
  --header 'x-token: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "group_id": 123,
  "balance": {
    "id": 123,
    "amount": 123,
    "type": "<string>"
  },
  "cashback_balance": {
    "id": 123,
    "amount": 123,
    "type": "<string>"
  },
  "group": {
    "id": 123,
    "name": "<string>",
    "discount_type": "<string>",
    "discount_value": 123,
    "system_type": "<string>",
    "total_amount": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  },
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developer.clopos.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-token
string
header
required

JWT access token obtained from /v2/auth endpoint

Path Parameters

id
integer
required

Customer ID

Response

Customer retrieved successfully.

id
string
name
string
email
string<email>
phone
string
group_id
integer
balance
object
cashback_balance
object
group
object
created_at
string<date-time>